'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('./core.cjs');
var settings = require('./settings.cjs');
var common = require('./common.cjs');
var inspectSyntax = require('./features/inspect-syntax.cjs');
var renderSyntaxColors = require('./features/render-syntax-colors.cjs');
var editSyntaxColors = require('./features/edit-syntax-colors.cjs');
var suggestSyntax = require('./features/suggest-syntax.cjs');



exports.CSSLanguageService = core;
exports.default = core;
exports.settings = settings;
exports.AT_TRIGGER_CHARACTER = common.AT_TRIGGER_CHARACTER;
exports.DECLARATION_SEPARATOR_TRIGGER_CHARACTER = common.DECLARATION_SEPARATOR_TRIGGER_CHARACTER;
exports.GROUP_TRIGGER_CHARACTER = common.GROUP_TRIGGER_CHARACTER;
exports.INVOKED_TRIGGER_CHARACTERS = common.INVOKED_TRIGGER_CHARACTERS;
exports.QUERY_TRIGGER_CHARACTERS = common.QUERY_TRIGGER_CHARACTERS;
exports.SELECTOR_TRIGGER_CHARACTERS = common.SELECTOR_TRIGGER_CHARACTERS;
exports.SERVER_CAPABILITIES = common.SERVER_CAPABILITIES;
exports.VALUE_TRIGGER_CHARACTERS = common.VALUE_TRIGGER_CHARACTERS;
exports.inspectSyntax = inspectSyntax;
exports.renderSyntaxColors = renderSyntaxColors;
exports.editSyntaxColors = editSyntaxColors;
exports.suggestSyntax = suggestSyntax;
