import { TextDocument } from 'vscode-languageserver-textdocument';
export declare const languageIdOfExt: {
    ts: string;
    tsx: string;
    js: string;
    jsx: string;
    css: string;
    scss: string;
    less: string;
    html: string;
    json: string;
    vue: string;
    svelte: string;
    astro: string;
};
export default function createDoc(ext: keyof typeof languageIdOfExt, content: string): TextDocument;
