'use strict';

/* eslint-disable quotes */ /**
 * @example styles https://regex101.com/r/HLPdsw/1
 **/ const settings = {
    includedLanguages: [
        "html",
        "php",
        "javascript",
        "typescript",
        "javascriptreact",
        "typescriptreact",
        "vue",
        "svelte",
        "rust",
        "astro",
        "markdown",
        "mdx",
        "astro"
    ],
    classStrings: [
        [
            "\\sclass=",
            "\""
        ],
        [
            "\\sclass=",
            "'"
        ],
        [
            "\\sclassName=",
            "\""
        ],
        [
            "\\sclassName=",
            "'"
        ],
        [
            "\\sstyled(?:\\s+)?(?:\\.\\w+)?",
            "`"
        ],
        [
            "\\sstyles(?:\\s+)?(?::|=)(?:\\s+)?",
            "\""
        ],
        [
            "\\sstyles(?:\\s+)?(?::|=)(?:\\s+)?",
            "'"
        ],
        [
            "\\sstyles(?:\\s+)?(?::|=)(?:\\s+)?",
            "`"
        ]
    ],
    classAssignments: [
        [
            "\\sclassName=",
            "{",
            "}"
        ],
        [
            "\\sclass=",
            "{",
            "}"
        ],
        [
            "\\sclass:list=",
            "{",
            "}"
        ],
        [
            "\\sstyles(?:\\s+)?(?::|=)(?:\\s+)?",
            "{",
            "}"
        ],
        [
            "\\s:class=",
            "\"",
            "\""
        ],
        [
            "\\sv-bind:class=",
            "\"",
            "\""
        ],
        [
            "\\s[class]=",
            "\"",
            "\""
        ],
        [
            "\\s[className]=",
            "\"",
            "\""
        ],
        [
            "\\s[ngClass]=",
            "\"",
            "\""
        ],
        [
            "\\sclsx",
            "(",
            ")"
        ],
        [
            "\\scva",
            "(",
            ")"
        ],
        [
            "\\.class",
            "(",
            ")"
        ],
        [
            "\\sstyled(?:\\s+)?(?:\\.\\w+)?",
            "(",
            ")"
        ],
        [
            "\\.classList(?:\\s+)?(?:\\.(add|remove|toggle|replace))",
            "(",
            ")"
        ]
    ],
    exclude: [
        "**/.git/**",
        "**/node_modules/**",
        "**/.hg/**"
    ],
    suggestSyntax: true,
    inspectSyntax: true,
    renderSyntaxColors: true,
    editSyntaxColors: true
};

module.exports = settings;
